<?php
/* Copyright (c) 2007 Satoshi Fukutomi <info@fuktommy.com>. */

require_once('MySmarty.class.php');
require_once('FeedGetter.class.php');

$smarty     = new MySmarty();
$feedGetter = new FeedGetter();

ini_set('default_socket_timeout', 5);
ini_set('user_agent', 'FeedGetter/2007-10-20');

$feedName = @$_REQUEST['feed'];

switch ($feedName) {
case 'blog':
    $feed = $feedGetter->get('/srv/www/blog.fuktommy.com/rss.rdf', 600);
    break;
case 'bookmark':
    $feed = $feedGetter->get('http://b.hatena.ne.jp/fuktommy/rss');
    break;
case 'twitter':
    $feed = $feedGetter->get('http://twitter.com/statuses/user_timeline/fuktommy.rss?count=15', 900);
    break;
default:
    $feed = array();
    $feedName = null;
}

header('Content-Type: text/javascript; charset=UTF-8');
if ($feedName !== null) {
    $smarty->left_delimiter = '{{';
    $smarty->right_delimiter = '}}';
    $smarty->assign('feed', $feed);
    $smarty->assign('feed_name', $feedName);
    $smarty->display('feedjs.tpl');
}

?>
